Subject: Re: linux-next: Tree for Mar 31 (build failures and culprits)

From: Michael Ellerman <[email-masked]>
Date: Wed, 01 Apr 2015 10:24:41 +1100

On Wed, 2015-04-01 at 01:07 +0200, Greg Kroah-Hartman wrote:
> On Tue, Mar 31, 2015 at 09:16:40AM -0700, Guenter Roeck wrote:
> > alpha:allmodconfig
> > mips:allmodconfig
> > 
> > samples/kdbus/kdbus-workers.c: In function ‘prime_new’:
> > samples/kdbus/kdbus-workers.c:930:18: error: ‘__NR_memfd_create’ undeclared
> > (first use in this function)
> >   p->fd = syscall(__NR_memfd_create, "prime-area", MFD_CLOEXEC);
> > 
> > Looks like the kdbus example never worked for the affected architectures.
> > I don't build allmodconfig for all architectures, so other architectures
> > may be affected as well.
> 
> You need 3.17 kernel headers to have memfd_create, not much the kdbus
> test code can do about that.  You might want to update the kernel
> headers for these build boxes.

Or just 'make headers_install' before building the samples should do it.

cheers